scala.tools.nsc.doc.Settings

# hardcoded

#### object hardcoded

This is the hardcoded area of Scaladoc. This is where "undesirable" stuff gets eliminated. I know it's not pretty, but ultimately scaladoc has to be useful. :)

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. hardcoded
2. AnyRef
3. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### val arraySkipConversions: collection.immutable.List[String]

   There's a reason all these are specialized by hand but documenting each of them is beyond the point

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### val commonConversionTargets: Set[String]

   Common conversion targets that affect any class in Scala

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### def isExcluded(qname: String): Boolean

    Set of classes to exclude from index and diagrams TODO: Should be configurable

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### val knownTypeClasses: Map[String, (String) ⇒ String]

    The common context bounds and some humanly explanations.

    The common context bounds and some humanly explanations. Feel free to add more explanations `<root>.scala.package.Numeric` is the type class `tparam` is the name of the type parameter it gets (this only describes type classes with 1 type param) the function result should be a humanly-understandable description of the type class

18. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### final def notify(): Unit

    Definition Classes
      AnyRef

20. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

21. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

22. #### def toString(): String

    Definition Classes
      AnyRef → Any

23. #### def valueClassFilter(value: String, conversionName: String): Boolean

    Dirty, dirty, dirty hack: the value params conversions can all kick in -- and they are disambiguated by priority but showing priority in scaladoc would make no sense -- so we have to manually remove the conversions that we know will never get a chance to kick in.

    Dirty, dirty, dirty hack: the value params conversions can all kick in -- and they are disambiguated by priority but showing priority in scaladoc would make no sense -- so we have to manually remove the conversions that we know will never get a chance to kick in. Anyway, DIRTY DIRTY DIRTY!

24. #### def valueClassFilterPrefixes: collection.immutable.List[String]

25. #### def valueClassList: collection.immutable.List[String]

26. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped